diff options
| author | David M. Syzdek <david@syzdek.net> | 2023-01-17 09:34:30 -0900 |
|---|---|---|
| committer | David M. Syzdek <david@syzdek.net> | 2023-01-17 09:34:30 -0900 |
| commit | 71b1a85edf8aec3c44a0189262ae4ef52991dff2 (patch) | |
| tree | e7fc596b109be4df3dcd7156c6868274ce644603 | |
| parent | 622ba192e7f6f2a491ae016a85b5d6b9f6a10ed3 (diff) | |
| download | otputils-71b1a85edf8aec3c44a0189262ae4ef52991dff2.tar.gz otputils-71b1a85edf8aec3c44a0189262ae4ef52991dff2.tar.bz2 otputils-71b1a85edf8aec3c44a0189262ae4ef52991dff2.tar.xz otputils-71b1a85edf8aec3c44a0189262ae4ef52991dff2.zip | |
otputil: adjusting whitespace and comments
| -rw-r--r-- | src/otputil.c | 13 |
1 files changed, 13 insertions, 0 deletions
diff --git a/src/otputil.c b/src/otputil.c index 653bdda..10b857f 100644 --- a/src/otputil.c +++ b/src/otputil.c | |||
| @@ -155,6 +155,8 @@ static otputil_widget_t otputil_widget_map[] = | |||
| 155 | .func_usage = NULL, | 155 | .func_usage = NULL, |
| 156 | }, | 156 | }, |
| 157 | #endif | 157 | #endif |
| 158 | |||
| 159 | // help widget | ||
| 158 | { .name = "help", | 160 | { .name = "help", |
| 159 | .desc = "display help", | 161 | .desc = "display help", |
| 160 | .usage = NULL, | 162 | .usage = NULL, |
| @@ -163,6 +165,8 @@ static otputil_widget_t otputil_widget_map[] = | |||
| 163 | .func_exec = &otputil_widget_usage, | 165 | .func_exec = &otputil_widget_usage, |
| 164 | .func_usage = NULL, | 166 | .func_usage = NULL, |
| 165 | }, | 167 | }, |
| 168 | |||
| 169 | // HOTP widget and aliases | ||
| 166 | { .name = "hotp", | 170 | { .name = "hotp", |
| 167 | .desc = "hotp tools (RFC 4226)", | 171 | .desc = "hotp tools (RFC 4226)", |
| 168 | .usage = " [ code ]", | 172 | .usage = " [ code ]", |
| @@ -173,6 +177,8 @@ static otputil_widget_t otputil_widget_map[] = | |||
| 173 | .func_exec = &otputil_widget_hotp, | 177 | .func_exec = &otputil_widget_hotp, |
| 174 | .func_usage = NULL, | 178 | .func_usage = NULL, |
| 175 | }, | 179 | }, |
| 180 | |||
| 181 | // OTP widget and aliases | ||
| 176 | { .name = "otp", | 182 | { .name = "otp", |
| 177 | .desc = "otp tools (RFC 2289)", | 183 | .desc = "otp tools (RFC 2289)", |
| 178 | .usage = " [ sequence [ seed [ code ]]]", | 184 | .usage = " [ sequence [ seed [ code ]]]", |
| @@ -193,6 +199,8 @@ static otputil_widget_t otputil_widget_map[] = | |||
| 193 | .func_exec = &otputil_widget_otp, | 199 | .func_exec = &otputil_widget_otp, |
| 194 | .func_usage = NULL, | 200 | .func_usage = NULL, |
| 195 | }, | 201 | }, |
| 202 | |||
| 203 | // S/KEY widget and aliases | ||
| 196 | { .name = "skey", | 204 | { .name = "skey", |
| 197 | .desc = "s/key tools (RFC 1760)", | 205 | .desc = "s/key tools (RFC 1760)", |
| 198 | .usage = " [ sequence ]", | 206 | .usage = " [ sequence ]", |
| @@ -203,6 +211,8 @@ static otputil_widget_t otputil_widget_map[] = | |||
| 203 | .func_exec = &otputil_widget_skey, | 211 | .func_exec = &otputil_widget_skey, |
| 204 | .func_usage = &otputil_widget_skey_usage, | 212 | .func_usage = &otputil_widget_skey_usage, |
| 205 | }, | 213 | }, |
| 214 | |||
| 215 | // TOTP widget and aliases | ||
| 206 | { .name = "totp", | 216 | { .name = "totp", |
| 207 | .desc = "totp tools (RFC 6238)", | 217 | .desc = "totp tools (RFC 6238)", |
| 208 | .usage = " [ code ]", | 218 | .usage = " [ code ]", |
| @@ -213,6 +223,8 @@ static otputil_widget_t otputil_widget_map[] = | |||
| 213 | .func_exec = &otputil_widget_totp, | 223 | .func_exec = &otputil_widget_totp, |
| 214 | .func_usage = NULL, | 224 | .func_usage = NULL, |
| 215 | }, | 225 | }, |
| 226 | |||
| 227 | // version widget | ||
| 216 | { .name = "version", | 228 | { .name = "version", |
| 217 | .desc = "display version", | 229 | .desc = "display version", |
| 218 | .usage = NULL, | 230 | .usage = NULL, |
| @@ -221,6 +233,7 @@ static otputil_widget_t otputil_widget_map[] = | |||
| 221 | .func_exec = &otputil_widget_version, | 233 | .func_exec = &otputil_widget_version, |
| 222 | .func_usage = NULL, | 234 | .func_usage = NULL, |
| 223 | }, | 235 | }, |
| 236 | |||
| 224 | { .name = NULL, | 237 | { .name = NULL, |
| 225 | .desc = NULL, | 238 | .desc = NULL, |
| 226 | .usage = NULL, | 239 | .usage = NULL, |
